import sqlite3
import json
from pprint import pprint

DB_NAME = 'json_data.sqlite3'


def select_data():

    conn = sqlite3.connect(DB_NAME)
    cur = conn.cursor()
    sql = 'select sqlite_version()'
    cur.execute(sql)
    ret = cur.fetchall()
    print(ret)

    # sql = "select id,name,json_extract(tbl.json, '$.単価') as attr_b from tbl order by  json_extract(json, '$.単価')"
    # cur.execute(sql)
    # ret = cur.fetchall()
    cur.close()
    conn.close()

    print(ret)


def insert_data():

    conn = sqlite3.connect(DB_NAME)
    cur = conn.cursor()
    cur.execute('insert into tbl values(?,?,?)',
                [107, 'dd', '{"単価":46.5}'])
    conn.commit()
    cur.close()
    conn.close()


def insert_data2():

    # records.jsonを読み込む

    with open('records.json', 'r', encoding='utf-8') as f:
        data = json.load(f)

    conn = sqlite3.connect(DB_NAME)
    cur = conn.cursor()

    for index, row in enumerate(data):
        # print('xxxxxxxxxxxxxxxxxxxxx')
        # pprint(row
        s = json.dumps(row, ensure_ascii=False, indent=2)
        # print(s)
        # 辞書 rowを文字列に変換してtxtに保存
        # print('row:', row)
        # print('type(row):', type(row))
        # print('json.dumps(row):', json.dumps(row))
        # print('type(json.dumps(row)):', type(json.dumps(row)))

        cur.execute('insert into tbl values(?,?,?)', [ index + 1000, 'dd', s])
    conn.commit()
    cur.close()
    conn.close()


def select_data2():

    conn = sqlite3.connect(DB_NAME)
    cur = conn.cursor()
    sql = "select * from tbl where json_extract(tbl.json, '$.レコード番号.value')='3'"
    cur.execute(sql)
    s = cur.fetchall()
    # print(s[0][2])
    data = json.loads(s[0][2])
    pprint(data)

    # sql = "select id,name,json_extract(tbl.json, '$.単価') as attr_b from tbl order by  json_extract(json, '$.単価')"
    # cur.execute(sql)
    # ret = cur.fetchall()
    cur.close()
    conn.close()

  


if __name__ == '__main__':

    # insert_data()
    # select_data()
    select_data2()
    # insert_data2()
